# ADXL345_Sparkfun_Particle
This library for Particle devices is based on Sparkfun's I2C/SPI Arduino Library for ADXL345

Using this Library, you have the option of using either SPI or I2C to communicate with the ADXL345.

It is fairly reasonable to use and straight forward.

You will also be able to calibrate the ADXL345 whenever necessary as shown in the example.

SparkFun ADXL345 Arduino Library
========================================

[![SparkFun ADXL345](https://cdn.sparkfun.com//assets/parts/3/9/0/2/09836-_01c.jpg)](https://www.sparkfun.com/products/9836)

[*SparkFun Triple Axis Accelerometer Breakout - ADXL345*](https://www.sparkfun.com/products/9836)

The ADXL345 is a small, thin, low power, 3-axis MEMS accelerometer with high resolution (13-bit) measurement at up to +-16 g. Digital output data is formatted as 16-bit twos complement and is accessible through either a SPI (3- or 4-wire) or I2C digital interface.

The ADXL345 is well suited to measures the static acceleration of gravity in tilt-sensing applications, as well as dynamic acceleration resulting from motion or shock. Its high resolution (4 mg/LSB) enables measurement of inclination changes less than 1.0 degrees.

This Arduino library allows for both SPI or I2C communication. It also gives the user the ability to explore the following customizable features: tap/double tap detection, acvitivty/inactivity monitoring, and free fall detection.  

Repository Contents
-------------------

* **/examples** - Example sketches for the library (**SparkFun_ADXL345_Example.ino** and **SparkFun_ADXL345_Calibration.ino**). Run these from the Arduino IDE. 
* Source files for the library (**SparkFun_ADXL345.cpp** and **SparkFun_ADXL345.h**).
* **keywords.txt** - Keywords from this library that will be highlighted in the Arduino IDE. 

Documentation
--------------

* **[Installing an Arduino Library Guide](https://learn.sparkfun.com/tutorials/installing-an-arduino-library)** - Basic information on how to install an Arduino library.
* **[Product Repository](https://github.com/sparkfun/ADXL345_Breakout)** - Main repository (including hardware files) for the SparkFun Triple Axis Accelerometer Breakout - ADXL345.
* **[Hookup Guide](https://learn.sparkfun.com/tutorials/adxl345-hookup-guide)** - Basic hookup guide for the SparkFun Triple Axis Accelerometer Breakout - ADXL345.

Products that use this Library 
---------------------------------

* [SparkFun Triple Axis Accelerometer Breakout - ADXL345 - PRT-9836](https://www.sparkfun.com/products/9836)- The ADXL345 is a small, thin, low power, 3-axis MEMS accelerometer with high resolution (13-bit) measurement at up to +-16 g. Digital output data is formatted as 16-bit twos complement and is accessible through either a SPI (3- or 4-wire) or I2C digital interface.

Version History
---------------

* [1.0.0](https://github.com/sparkfun/SparkFun_ADXL345_Arduino_Library/releases/tag/V_1.0.0) - Initial release of the Triple Axis Accelerometer Breakout - ADXL345 SparkFun Library.

License Information
-------------------

This product is _**open source**_! 

Please review the LICENSE.md file for license information. 

If you have any questions or concerns on licensing, please contact techsupport@sparkfun.com.

Distributed as-is; no warranty is given.

- Your friends at SparkFun.

_<COLLABORATION CREDIT>_
